package com.yeejoin.amos.boot.module.common.api.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yeejoin.amos.boot.biz.common.utils.Menu;
import com.yeejoin.amos.boot.module.common.api.dto.*;
import com.yeejoin.amos.boot.module.common.api.entity.Firefighters;


/**
 * 消防队员 服务类
 *
 * @author tb
 * @date 2021-06-07
 */
public interface IFirefightersService {


    List<FirefightersZhDto> getFirefighters(int pageNum, int pageSize, FirefightersDto par);

    Map<String, Long> getFirefightersCount(int pageNum, int pageSize, FirefightersDto par);

    Map<String, Object> listToSelectById(Long id);

    List<Menu> getFirefightersJobTitleCount(String bizOrgCode) throws Exception;

    void saveFirefighters(FirefightersInfoDto firefighters);

    Firefighters selectByAmosOrgId(Long id);

    PeopleInfoDto updatePeopleById(PeopleInfoDto peopleInfoDto, Long id);

    Firefighters getFirefightersByUserId(String sequenceNbr);

    void saveFirefightersByUser(PeopleInfoDto firefighters);

    BigScreen1VO getFireForceInfoByCode(String companyCode);

    Map<String,Object> getCompanyName(String bizOrgCode);

    List<Map<String, Object>> getUserInfoByYJYA(String bizOrgCode);

    IPage<Map<String, Object>> signPersonPageList(int current, int size, String bizOrgCode);
}
